Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.BPV_team
Class Cible

    java.lang.Object
      warbot.BPV_team.Cible

Direct Known Subclasses:
  CibleObs

    public class Cible

extends java.lang.Object

Constructor Summary
`Cible()`
`Cible(java.lang.String type_percept, Point coord, int energie, int tour)`

Method Summary
`void` | `delCible()`
`double` | `distanceTo(Point p)`
`boolean` | `egal(java.lang.String type_percept, Point coord)`
`boolean` | `existe()`
`int` | `getEnergy()`
`java.lang.String` | `getType()`
`double` | `getX()`
`double` | `getY()`
`void` | `setCible(java.lang.String type_percept, Point coord, int energie, int tour)`
`Point` | `viser(Point ag_coord)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cible

    public Cible()

### Cible

    public Cible(java.lang.String type_percept,
                 Point coord,
                 int energie,
                 int tour)

Method Detail

### setCible

    public void setCible(java.lang.String type_percept,
                         Point coord,
                         int energie,
                         int tour)

### egal

    public boolean egal(java.lang.String type_percept,
                        Point coord)

### delCible

    public void delCible()

### existe

    public boolean existe()

### getX

    public double getX()

### getY

    public double getY()

### getType

    public java.lang.String getType()

### getEnergy

    public int getEnergy()

### distanceTo

    public double distanceTo(Point p)

### viser

    public Point viser(Point ag_coord)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.